package com.zcloud.service.bus;

import com.zcloud.entity.Page;
import com.zcloud.entity.PageData;

import java.util.List;

/**
 * 说明：图片管理
 * 作者：luoxiaobao
 * 时间：2020-12-24
 * 官网：www.zcloudchina.com
 */
public interface ImgFileService {

	/**新增
	 * @param pd
	 * @throws Exception
	 */
	public void save(PageData pd)throws Exception;

	/**删除
	 * @param pd
	 * @throws Exception
	 */
	public void delete(PageData pd)throws Exception;

	/**删除
	 * @param pd
	 * @throws Exception
	 */
	public void deleteList(PageData pd)throws Exception;

	/**修改
	 * @param pd
	 * @throws Exception
	 */
	public void edit(PageData pd)throws Exception;

	/**列表
	 * @param page
	 * @throws Exception
	 */
	public List<PageData> list(Page page)throws Exception;

	/**列表(全部)
	 * @param pd
	 * @throws Exception
	 */
	public List<PageData> listAll(PageData pd)throws Exception;

	/**通过id获取数据
	 * @param pd
	 * @throws Exception
	 */
	public PageData findById(PageData pd)throws Exception;

	/**批量删除
	 * @param ArrayDATA_IDS
	 * @throws Exception
	 */
	public void deleteAll(String[] ArrayDATA_IDS)throws Exception;

	public List<PageData> listAllByIds(PageData pd)throws Exception;

	/**查询隐患验收照片
	 * @param pd
	 * @throws Exception
	 */
	public List<String> listHiddenCheckImgs(PageData pd)throws Exception;

	/**删除隐患验收照片
	 * @param pd
	 * @throws Exception
	 */
	public void deleteHiddenCheckImgs(PageData pd)throws Exception;


	/**查询隐患照片(包括隐患照片和整改照片)
	 * @param pd
	 * @throws Exception
	 */
	public List<String> listHiddenImgs(PageData pd)throws Exception;

	/**删除隐患照片（包括隐患照片及整改照片）
	 * @param pd
	 * @throws Exception
	 */
	public void deleteHiddenImgs(PageData pd)throws Exception;
}

